## LassoIdWsf2SubsRefCreate LassoIdWsf2SubsRefCreate — <subsref:Create> |

## Functions

LassoIdWsf2SubsRefCreate * | lasso_idwsf2_subsref_create_new ()

## Types and Values

struct | LassoIdWsf2SubsRefCreate

## Description

Figure 249. Schema fragment for subsref:Create

    <xs:complexType name="CreateType">
      <xs:complexContent>
        <xs:extension base="dst:RequestType">
          <xs:sequence>
            <xs:element ref="subsref:Subscription" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="subsref:CreateItem" minOccurs="1" maxOccurs="unbounded"/>
            <xs:element ref="subsref:ResultQuery" minOccurs="0" maxOccurs="unbounded"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_subsref_create_new ()

    LassoIdWsf2SubsRefCreate *
    lasso_idwsf2_subsref_create_new (void);

Creates a new LassoIdWsf2SubsRefCreate object.

#### Returns

a newly created LassoIdWsf2SubsRefCreate object

## Types and Values

### struct LassoIdWsf2SubsRefCreate

    struct LassoIdWsf2SubsRefCreate {
    	LassoIdWsf2DstRequest parent;

    	/* elements */
    	GList *Subscription; /* of LassoNode */
    	GList *CreateItem; /* of LassoNode */
    	GList *ResultQuery; /* of LassoNode */
    };